﻿@using LAP.Areas.Adviser.Models
@model ClientSurveyModel
@{
    bool isMarried = Model.ClientLoginData.ClientData.MaritalStatus == MaritalStatusEnum.Married && Model.ClientLoginData.SpouseData != null && Convert.ToDateTime(Model.ClientLoginData.ClientData.DateOfCurrentMarriage).IsNotEmptyDate();
    IEnumerable<SelectListItem> EmploymentOf = Model.EmploymentOf;
    string ClientName = EmploymentOf.FirstOrDefault(n => n.Value.ToString() == ((int)ClientTypeEnum.Client).ToString()).Text;
    string SpouseName = isMarried ? EmploymentOf.FirstOrDefault(n => n.Value.ToString() == ((int)ClientTypeEnum.Spouse).ToString()).Text : string.Empty;
    var healthcare = Model.ClientLoginData.HealthCarePlanning;
    IEnumerable<SelectListItem> policyProvedList = EnumHelper.GetEnumSelectList<PolicyProvideCareEnum>();
    IEnumerable<SelectListItem> ListpolicyPayingBenifitsList = EnumHelper.GetEnumSelectList<PolicyBeginBenefits>();
    IEnumerable<SelectListItem> ListLTCIPolicyProvideBenifits = EnumHelper.GetEnumSelectList<LTCIPolicyProvideBenifitsEnum>();
}
<h3 style="margin-bottom:10px">Healthcare</h3>
<div>
    <span>Are you covered under an employer sponsored healthcare plan?</span>
    <span class="text-ink">@healthcare.underESP.BoolToYesNo()</span>
</div>
@if (!healthcare.underESP)
{
    <div>
        <span>Are you covered under a marketplace exchange healthcare plan?</span>
        <span class="text-ink">@healthcare.underME.BoolToYesNo()</span>
    </div>
    <div>
        <span>Are you currently uninsured for healthcare coverage?</span>
        <span class="text-ink">@healthcare.uninsured.BoolToYesNo()</span>
    </div>
}
<div>
    <span>Do you have a Long-term Care Insurance Policy?</span>
    <span class="text-ink">@healthcare.longTermCare.BoolToYesNo()</span>
</div>
@if (healthcare.longTermCare)
{
    <div>
        <span>What does your LTC plan pay at a daily rate for coverage?</span>
        <span class="text-ink">@string.Format("{0:C0}", healthcare.LongTermCareRate)</span>
    </div>
    <label class="font-weight-bold">Does your policy provide for care at? (mark all that apply)</label>
    @foreach (var item in policyProvedList)
    {
        <div style="padding-left:30px">
            <input type="checkbox" checked="@(healthcare.policyProvide.Contains(item.Value) ? "checked" : null)" />
            @item.Text
        </div>
    }
    <label class="font-weight-bold">Under what conditions will the policy begin paying benefits? (Mark all that apply)</label>
    @foreach (var item in ListpolicyPayingBenifitsList)
    {
        <div style="padding-left:30px">
            <input type="checkbox" checked="@(healthcare.policyPayingBenifits.Contains(item.Value) ? "checked" : null)" />
            @item.Text
        </div>
    }
    <div>
        <span>Does your LTCI policy have a "waiting period" or "elimination period"?</span>
        <span class="text-ink">@healthcare.waitingPeriodYesNOEnum.GetDisplayName()</span>
    </div>
    @if (healthcare.waitingPeriodYesNOEnum == YesNoEnum.Yes)
    {
        <div>
            <span>How long is the waiting period or elimination period?</span>
            <span class="text-ink">@healthcare.waitingPeriodEnum.GetDisplayName()</span>
        </div>
    }
    <div>
        <span>Do you know how long your LTCI benefits last?</span>
        <span class="text-ink">@healthcare.LTCIBenifitsEnumYesNO.GetDisplayName()</span>
    </div>
    @if (healthcare.LTCIBenifitsEnumYesNO == YesNoEnum.Yes)
    {
        <div>
            <span>How long do your LTCI benefits last?</span>
            <span class="text-ink">@healthcare.LTCIbenifitsEnum.GetDisplayName()</span>
        </div>
    }
    <div>
        <span>Does your LTCI benefits payout on an (Mark the appropriate option)</span>
        <span class="text-ink">@healthcare.lTCIbenifirPayouttEnum.GetDisplayName()</span>
    </div>
    <div>
        <span>Does your LTCI policy provide Inflation protection?</span>
        <span class="text-ink">@healthcare.inflationProtectionEnum.GetDisplayName()</span>
    </div>
    @if (healthcare.inflationProtectionEnum == YesNoEnum.Yes)
    {
        <div>
            <span>What is the inflation provision in your policy?</span>
            <span class="text-ink">@healthcare.inflationprovision%</span>
        </div>
    }
    <label class="font-weight-bold">Does your LTCI policy provide any of the following benefits?</label>
    @foreach (var item in ListLTCIPolicyProvideBenifits)
    {
        <div style="padding-left:30px">
            <input type="checkbox" checked="@(healthcare.LTCIPolicyProvideBenifitsEnum.Contains(item.Value) ? "checked" : null)" />
            @item.Text
        </div>
    }
}
<hr style="border-top: 1px solid #23588d;margin-top:30px" />